Bug 144748 - CRASH: Undoing table deletion with tracked changes
Summary: CRASH: Undoing table deletion with tracked changes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2021-09-27 09:39 UTC by Xisco Faulí
Modified: 2021-12-21 08:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-09-27 09:39:03 UTC
Steps to reproduce:
1. Open attachment 99507 [details] from bug 79018
2. Select all
3. Delete
4. Undo

-> Crash

Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: fb7d05f3d56c3e21ed7ba5cf8723a02801640caa
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-09-27 09:40:09 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9994120c8d0fe8c5a029390ad7411b99c18ff5c9

author	László Németh <nemeth@numbertext.org>	2021-09-20 13:11:24 +0200
committer	László Németh <nemeth@numbertext.org>	2021-09-21 14:36:56 +0200
commit 9994120c8d0fe8c5a029390ad7411b99c18ff5c9 (patch)
tree 83384dfa1422b63e4e52d83a8434e65414342dfa
parent 504808fb5c372a94c6299eec90a281655eef47e4 (diff)
tdf#144347 sw: fix tracked deletion of table with tracked content

Bisected with: bibisect-linux64-7.3

Adding Cc: to László Németh
Comment 2 Xisco Faulí 2021-09-27 09:42:22 UTC
attachment 99325 [details] from bug 78902 is also affected by this issue
Comment 3 Commit Notification 2021-10-05 12:59:14 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/74650680788dc076a37d2fe4d5f9237c450807d0

tdf#144748 sw: fix crash at Undo of deletion with empty table rows

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 László Németh 2021-10-05 12:59:36 UTC
@Xisco: thanks for reporting the problem!
Comment 5 NISZ LibreOffice Team 2021-11-04 09:53:47 UTC
Verified in:
Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: c7500945fc5d5bd2130a2d38be0bd4b15445cd90
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL